# Class ArchiveSourceLocation

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.jdt.launching.sourcelookup.ArchiveSourceLocation

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable, IJavaSourceLocation`

@Deprecated public class ArchiveSourceLocation extends org.eclipse.core.runtime.PlatformObject implements IJavaSourceLocation
Deprecated.
In 3.0, the debug platform provides source lookup facilities that should be used in place of the Java source lookup support provided in 2.0. The new facilities provide a source lookup director that coordinates source lookup among a set of participants, searching a set of source containers. See the following packages: `org.eclipse.debug.core.sourcelookup` and `org.eclipse.debug.core.sourcelookup.containers`. This class has been replaced by the following classes: `org.eclipse.debug.core.sourcelookup.containers.ArchiveSourceContainer` and `org.eclipse.debug.core.sourcelookup.containers.ExternalArchiveSourceContainer`.
Locates source elements in an archive (zip) in the local file system. Returns instances of `ZipEntryStorage`.

This class may be instantiated.

Since:
  2.0
See Also:
  - `IJavaSourceLocation`
Restriction:
  This class is not intended to be sub-classed by clients.

## Constructor Summary

Constructors
Constructor
Description
`ArchiveSourceLocation()`
Deprecated.
`ArchiveSourceLocation(String archiveName, String sourceRoot)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static void`
`closeArchives()`
Deprecated.
`boolean`
`equals(Object object)`
Deprecated.
`Object`
`findSourceElement(String name)`
Deprecated.
`protected ZipFile`
`getArchive()`
Deprecated.
`String`
`getMemento()`
Deprecated.
`String`
`getName()`
Deprecated.
`org.eclipse.core.runtime.IPath`
`getRootPath()`
Deprecated.
`int`
`hashCode()`
Deprecated.
`void`
`initializeFrom(String memento)`
Deprecated.

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Constructor Details

### ArchiveSourceLocation

@Deprecated public ArchiveSourceLocation()
Deprecated.
Constructs a new empty source location to be initialized with a memento.

### ArchiveSourceLocation

@Deprecated public ArchiveSourceLocation(String archiveName, String sourceRoot)
Deprecated.
Constructs a new source location that will retrieve source elements from the zip file with the given name.

Parameters:
  `archiveName` - zip file
  `sourceRoot` - a path to the root source folder in the specified archive, or `null` if the root source folder is the root of the archive

## Method Details

### closeArchives

@Deprecated public static void closeArchives()
Deprecated.
Closes all zip files that have been opened, and removes them from the zip file cache. This method is only to be called by the launching plug-in.

### findSourceElement

@Deprecated public Object findSourceElement(String name) throws org.eclipse.core.runtime.CoreException
Deprecated.
Description copied from interface: `IJavaSourceLocation`
Returns an object representing the source code for a type with the specified name, or `null` if none could be found. The name is a fully qualified type name, and may contain the '$' character when referring to inner types. For example, `java.lang.String`. The source element returned is implementation specific - for example, a resource, a local file, a zip file entry, etc.

Specified by:
  `findSourceElement` in interface `IJavaSourceLocation`
Parameters:
  `name` - fully qualified name of the type for which source is being searched for
Returns:
  source element
Throws:
  `org.eclipse.core.runtime.CoreException` - if an exception occurs while searching for the specified source element

### getArchive

@Deprecated protected ZipFile getArchive() throws IOException
Deprecated.
Returns the archive associated with this source location.

Returns:
  zip file
Throws:
  `IOException` - if unable to create the zip file associated with this location

### getRootPath

@Deprecated public org.eclipse.core.runtime.IPath getRootPath()
Deprecated.
Returns the location of the root source folder within the archive, or `null` if the root source folder is the root of the archive

Returns:
  the location of the root source folder within the archive, or `null` if the root source folder is the root of the archive

### getName

@Deprecated public String getName()
Deprecated.
Returns the name of the archive associated with this source location

Returns:
  the name of the archive associated with this source location

### equals

@Deprecated public boolean equals(Object object)
Deprecated.

Overrides:
  `equals` in class `Object`

### hashCode

@Deprecated public int hashCode()
Deprecated.

Overrides:
  `hashCode` in class `Object`

### getMemento

@Deprecated public String getMemento() throws org.eclipse.core.runtime.CoreException
Deprecated.
Description copied from interface: `IJavaSourceLocation`
Returns a memento for this source location from which this source location can be reconstructed.

Specified by:
  `getMemento` in interface `IJavaSourceLocation`
Returns:
  a memento for this source location
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to create a memento

### initializeFrom

@Deprecated public void initializeFrom(String memento) throws org.eclipse.core.runtime.CoreException
Deprecated.
Description copied from interface: `IJavaSourceLocation`
Initializes this source location from the given memento.

Specified by:
  `initializeFrom` in interface `IJavaSourceLocation`
Parameters:
  `memento` - a memento generated by this source location
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to initialize this source location